%define name    cilk
%define version 5.3.1
%define release 2mdk

Summary: Cilk is an algorithmic multithreaded language
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
License: GPL 
URL:http://supertech.lcs.mit.edu/cilk/
Group: Development/Other
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}

%description
Cilk is an algorithmic multithreaded language. The philosophy behind Cilk is that a programmer should 
concentrate on structuring the program to expose parallelism and exploit locality, leaving
Cilk's runtime system with the responsibility of scheduling the computation to run efficiently on a given platform. 
Thus, the Cilk runtime system takes care of details like load balancing, paging, and
communication protocols. Unlike other multithreaded languages, however, Cilk is algorithmic in that the runtime system 
guarantees efficient and predictable performance.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -n %{name}-%{version}

%build

%configure

%make

%install

%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS INSTALL README TODO NEWS ChangeLog COPYING
%{_bindir}/*
%{_includedir}/cilk/*
%{_libdir}/*


%changelog
* Thu Jun 28 2001 Lenny Cartier <lenny@mandrakesoft.com> 5.3.1-2mdk
- rebuild

* Mon Jan 08 2001 Lenny Cartier <lenny@mandrakesoft.com> 5.3.1-1mdk
- updated to 5.3.1

*  Wed Oct 25 2000 Lenny Cartier <lenny@mandrakesoft.com> 5.3-2mdk
- add URL tag

* Wed Oct 25 2000 Lenny Cartier <lenny@mandrakesoft.com> 5.3-1mdk
- new in contribs

